REPROF(1)

NAME
reprof - predict protein secondary structure and solvent accessibility

SYNOPSIS
reprof -i [query.blastPsiMat] [OPTIONS]

reprof -i [query.fasta] [OPTIONS]

reprof -i [query.blastPsiMat|query.fasta] --mutations [mutations.txt] [OPTIONS]

DESCRIPTION
Predict protein secondary structure and solvent accessibility.

  Output Format
The output format is self-explanatory, i.e. the colums of the output are described in the output file itself.

OPTIONS

-i, --input=FILE
    Input BLAST PSSM matrix file (from Blast -Q option) or input (single) FASTA file.

-o, --out=FILE
    Either an output file or a directory. If not provided or a directory, the suffix of the input filename (i.e. .fasta or .blastPsiMat) is replaced to create an output filename.

--mutations=[all|FILE]
    Either the keyword "all" to predict all possible mutations or a file containing mutations one per line such as "C12M" for C is mutated to M on position 12:

     C30Y
     R31W
     G48D

    This mutation code is also attached to the output filename using "_". An additional file ending "_ORI" contains the prediction using no evolutionary information even if a BLAST PSSM matrix was provided.

--modeldir=DIR
    Directory where the model and feature files are stored. Default: /usr/share/reprof.

AUTHOR
Peter Hoenigschmid hoenigschmid@rostlab.org, Burkhard Rost

EXAMPLES

Prediction from BLAST PSSM matrix for best results:
     reprof -i /usr/share/doc/reprof/examples/example.Q -o /tmp/example.Q.reprof

Prediction from FASTA file:
     reprof -i /usr/share/doc/reprof/examples/example.fasta -o /tmp/example.fasta.reprof

Prediction from BLAST PSSM matrix file using the mutation mode:
     reprof -i /usr/share/doc/reprof/examples/example.Q -o /tmp/mutations_example.Q.reprof --mutations /usr/share/doc/reprof/examples/mutations.txt
     # Result files for the above call are going to be:
     # /tmp/mutations_example.Q.{reprof,reprof_F172P,reprof_M1Q,reprof_N34Y,reprof_ORI} - see --mutations for a description of the extensions.

COPYRIGHT
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.

BUGS
https://rostlab.org/bugzilla3/enter_bug.cgi?product=reprof

SEE ALSO
blast2(1)

http://rostlab.org/